package com.hdkj.lt.bf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hdkj.lt.bf.entity.dto.SwitchContactEffectiveUpdateBatchRequest;
import com.hdkj.lt.bf.entity.dto.SwitchInfoListRequest;
import com.hdkj.lt.bf.entity.dto.SwitchInfoUpdateRequest;
import com.hdkj.lt.bf.entity.vo.FeederSwitchInfoVO;
import com.hdkj.lt.bf.entity.vo.SwitchIndoPageVO;
import com.hdkj.lt.bf.entity.vo.SwitchInfoVO;
import com.hdkj.lt.core.bizms.modle.po.DwdShbDsSwitchBase;
import com.hdkj.lt.core.bizms.modle.po.FhzgSwitchProtectionSettings;

import java.util.List;

/**
* @author Sunlit
* @description 针对表【dwd_shb_ds_switch_base(配电开关台账台账信息)】的数据库操作Service
* @createDate 2025-06-26 17:19:37
*/
public interface DwdShbDsSwitchBaseService extends IService<DwdShbDsSwitchBase> {

    SwitchIndoPageVO getSwitchInfoList(SwitchInfoListRequest request);

    String updateSwitchInfo(SwitchInfoUpdateRequest request);

    SwitchIndoPageVO getSwitchInfoPageByCondition(SwitchInfoListRequest request);

    List<SwitchInfoVO> getSwitchInfoByCondition(SwitchInfoListRequest request);

    String updateContactEffectiveBatch(SwitchContactEffectiveUpdateBatchRequest request);

    List<FeederSwitchInfoVO> getSwitchListByFeederId(String feederId);


    int saveOrUpdateBatchByPrsId(List<FhzgSwitchProtectionSettings> fhzgSwitchProtectionSettingsList);

    List<SwitchInfoVO> getSwitchListByFeeder(SwitchInfoListRequest request);
}
